Subject: Re: bug#74430: 30.0.92; pixel-scroll-precision-mode hiding Eshell prompt after some commands

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jan 2025 14:05:32 +0200

> Date: Sat, 18 Jan 2025 11:49:32 +0100
> Cc: [email-masked], [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> 
>  > I think it would be the optimal solution to accept a value of
>  > make-cursor-line-fully-visible that only applies to the next redisplay
>  > after a pixel scrolling command is executed.
> 
> I think 'pixel-scroll-precision-mode' should make the cursor line fully
> visible when (1) 'make-cursor-line-fully-visible' is non-nil and (2) the
> cursor line is not "too" tall.  Where a cursor line might be too tall
> when it is the only visible line in its window, for example.

I think that instead of "too tall" the condition should be the
fraction of the cursor line that is visible.  For example, if the
cursor line is 80% visible, we could consider it "visible enough" for
this purpose.

So maybe make-cursor-line-fully-visible could also be a float number.